summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author James Rich <james@chowhouse.com>2010-05-11 15:00:13 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 15:00:13 +0200
commit302e4855b919723352c797318a38c6922bf9482b (patch)
tree8558535d79746a8ef9efcea75898e7a8624b5f5d
parent4e66159b1201063154b6a19bccbfa549a093d4ec (diff)
downloadslackbuilds-302e4855b919723352c797318a38c6922bf9482b.tar.gz
slackbuilds-302e4855b919723352c797318a38c6922bf9482b.tar.xz
misc/gnome-doc-utils: Initial import
-rw-r--r--misc/gnome-doc-utils/README10
-rw-r--r--misc/gnome-doc-utils/gnome-doc-utils.SlackBuild59
-rw-r--r--misc/gnome-doc-utils/gnome-doc-utils.info8
-rw-r--r--misc/gnome-doc-utils/slack-desc10
4 files changed, 87 insertions, 0 deletions
diff --git a/misc/gnome-doc-utils/README b/misc/gnome-doc-utils/README
new file mode 100644
index 0000000000..b008a6d842
--- /dev/null
+++ b/misc/gnome-doc-utils/README
@@ -0,0 +1,10 @@
+gnome-doc-utils
+
+gnome-doc-utils is a collection of documentation utilities for the
+project. Notably, it contains utilities for building documentation
+and all auxiliary files in your source tree, and it contains the
+DocBook XSLT stylesheets that were once distributed with Yelp.
+Starting with Gnome 2.8, Yelp will require gnome-doc-utils for the
+XSLT.
+
+Website: http://ftp.gnome.org/pub/GNOME/sources/gnome-doc-utils/
diff --git a/misc/gnome-doc-utils/gnome-doc-utils.SlackBuild b/misc/gnome-doc-utils/gnome-doc-utils.SlackBuild
new file mode 100644
index 0000000000..2dca6868bc
--- /dev/null
+++ b/misc/gnome-doc-utils/gnome-doc-utils.SlackBuild
@@ -0,0 +1,59 @@
+#!/bin/sh
+
+# Slackbuild Script for gnome-doc-utils
+# Written by James Rich james@chowhouse.com
+#
+# Modified by the SlackBuilds.org team.
+# Assumed to be public domain per our submission policy
+
+# Exit on most errors
+set -e
+
+PRGNAM=gnome-doc-utils
+VERSION=0.8.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --disable-scrollkeeper
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README COPYING AUTHORS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/misc/gnome-doc-utils/gnome-doc-utils.info b/misc/gnome-doc-utils/gnome-doc-utils.info
new file mode 100644
index 0000000000..09a9d33898
--- /dev/null
+++ b/misc/gnome-doc-utils/gnome-doc-utils.info
@@ -0,0 +1,8 @@
+PRGNAM="gnome-doc-utils"
+VERSION="0.8.0"
+HOMEPAGE="http://live.gnome.org/DocumentationProject"
+DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/gnome-doc-utils/0.8/gnome-doc-utils-0.8.0.tar.gz"
+MD5SUM="da340528210716359d1b9368acb1664e"
+MAINTAINER="James Rich"
+EMAIL="james@chowhouse.com"
+APPROVED="danieldk,BP{k},rworkman"
diff --git a/misc/gnome-doc-utils/slack-desc b/misc/gnome-doc-utils/slack-desc
new file mode 100644
index 0000000000..bd679c51e0
--- /dev/null
+++ b/misc/gnome-doc-utils/slack-desc
@@ -0,0 +1,10 @@
+gnome-doc-utils: gnome-doc-utils
+gnome-doc-utils:
+gnome-doc-utils: gnome-doc-utils is a collection of documentation utilities for
+gnome-doc-utils: the project. Notably, it contains utilities for building
+gnome-doc-utils: documentation and all auxiliary files in your source tree, and
+gnome-doc-utils: it contains the DocBook XSLT stylesheets that were once i
+gnome-doc-utils: distributed with Yelp. Starting with Gnome 2.8, Yelp will
+gnome-doc-utils: require gnome-doc-utils for the XSLT.
+gnome-doc-utils:
+gnome-doc-utils: